
Redmine - Defect #31268

Fix gaps in resizable gantt chart

2019-04-27 05:11 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 4.0.4   

Resolution: Fixed Affected version:  

Description

See #20481#note-20.
Related issues:

Related to Redmine - Feature #20481: Gantt: right and left resizable panel Closed

Associated revisions

Revision 18089 - 2019-04-28 02:18 - Go MAEDA

Fix gaps in resizable gantt chart (#31268).

Patch by Felix Gliesche.

Revision 18090 - 2019-04-28 02:21 - Go MAEDA

Merged r18089 from trunk to 4.0-stable (#31268).

Revision 18095 - 2019-04-29 14:03 - Go MAEDA

Fix that r18089 disabled context menu in the gantt subject column (#31268).

Patch by Felix Gliesche.

Revision 18096 - 2019-04-29 14:06 - Go MAEDA

Merged r18095 from trunk to 4.0-stable (#31268).

History

#1 - 2019-04-27 05:12 - Go MAEDA

- Related to Feature #20481: Gantt: right and left resizable panel added

#2 - 2019-04-28 02:21 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

#3 - 2019-04-28 19:29 - Go MAEDA

- Status changed from Closed to Resolved

The right-click context menu (#10485) is broken after applying the patch. the context menu does not open when you click a subject of issues.

After my investigation, I found that removing "z-index:1" from show.html.erb resolves the issue.

2025-05-12 1/2

https://www.redmine.org/issues/20481#note-20
https://www.redmine.org/issues/10485


Felix Gliesche, do we really need the "z-index: 1"?

Index: app/views/gantts/show.html.erb

===================================================================

--- app/views/gantts/show.html.erb    (リビジョン 18090)

+++ app/views/gantts/show.html.erb    (作業コピー)

@@ -144,7 +144,6 @@

     <%= content_tag(:div, "", :style => style, :class => "gantt_hdr") %>

     <%

       style  = "" 

-      style += "z-index: 1;" 

       style += "width: #{subject_width}px;" 

       style += "height: #{t_height}px;" 

       style += 'border-left: 1px solid #c0c0c0;'

#4 - 2019-04-28 19:30 - Go MAEDA

- Status changed from Resolved to Reopened

#5 - 2019-04-29 10:35 - Felix Gliesche

Thanks GO MAEDA for letting me know. I'll take care of it.

#6 - 2019-04-29 11:48 - Felix Gliesche

- File 0001-Fix-gaps-in-resizable-gantt-chart.patch added

Dear GO MAEDA,

attached you'll find the updated patch, initially uploaded to #20481.

#7 - 2019-04-29 14:06 - Go MAEDA

- Status changed from Reopened to Closed

Felix Gliesche wrote:

Dear GO MAEDA,

attached you'll find the updated patch, initially uploaded to #20481.

 Committed the fix. Thank you for updating the patch so quickly.

Files

0001-Fix-gaps-in-resizable-gantt-chart.patch 1.81 KB 2019-04-29 Felix Gliesche
